#pragma once

#ifndef _CDLG_DOWNCNT_H_
#define _CDLG_DOWNCNT_H_


#include "CDlgTemplate.h"
// CDlgDownCnt 对话框

class CDlgDownCnt : public CBCGPDialog
{
	DECLARE_DYNAMIC(CDlgDownCnt)

public:
	CDlgDownCnt(const std::wstring & str, int downcnt=5);   // 标准构造函数
	virtual ~CDlgDownCnt();

// 对话框数据
#ifdef AFX_DESIGN_TIME
//	enum { IDD = IDD_DIALOG_DOWNCNT };
#endif

protected:
	std::wstring infoStr;
	int downCnt = 5;

	// 提示信息字体
	CFont m_InfoFont;
	
	// 倒计时字体
	CFont m_CountFont;
	
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持

	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnTimer(UINT_PTR nIDEvent);
	virtual BOOL OnInitDialog();
	CBCGPStatic labelCount;
	CBCGPStatic labelInfo;
	CDlgTemplate dlgTemplate;
	BOOL CreateDialogTemplate();
};

void runDownCntDlg(const std::wstring& str, int downcnt);

#endif // _CDLG_DOWNCNT_H_